Get Order by ID
curl --request GET \
--url https://api.ondoperps.xyz/v1/perps/orders/{orderID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ondoperps.xyz/v1/perps/orders/{orderID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ondoperps.xyz/v1/perps/orders/{orderID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"orderId": "197ec08e001658690721be129e7fa595",
"side": "buy",
"price": "227.50",
"size": "10.00",
"market": "AAPL-USD.P",
"filledSize": "10.00",
"lastFillSize": "5.00",
"filledCost": "2275.00",
"fee": "1.14",
"status": "fullyfilled",
"createdAt": "2025-03-05T14:30:00Z",
"filledAt": "2025-03-05T14:30:05Z",
"type": "limit",
"timeInForce": "GTC",
"reduceOnly": false
}
}{
"success": false,
"error": "Description of the error",
"error_code": "order_not_found"
}{
"success": false,
"error": "Description of the error",
"error_code": "auth_missing"
}{
"success": false,
"error": "Description of the error",
"error_code": "account_not_allowed"
}{
"success": false,
"error": "Description of the error",
"error_code": "too_many_requests"
}{
"success": false,
"error": "Description of the error",
"error_code": "unknown"
}Orders
Get Order by ID
Gets an individual order by order ID. The orderID path parameter can be:
- An internal order ID (e.g.
197ec08e001658690721be129e7fa595). - A client order ID prefixed with
client:(e.g.client:abc123).
GET
/
v1
/
perps
/
orders
/
{orderID}
Get Order by ID
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Internal order ID, or client:{clientOrderID} for client order ID lookup
Example:
"197ec08e001658690721be129e7fa595"
Response
Order
Whether the request was successful
Example:
true
Error message, present only on failure
Example:
""
Semantic error code. See each endpoint's error responses for the specific codes it can return.
Deprecation notice, if applicable
Example:
""
Show child attributes
Show child attributes
⌘I